<template>
  <div class="dashboard-airtime-data-page pb-5">
    <h1 class="page-title">Airtime & Data</h1>
    <div class="mt-3">
      <h6>1. Choose a Card</h6>
      <div class="row">
        <div class="col-sm-12 col-md-4">
          <div class="mt-2">
            <input
              type="radio"
              name="activeAccount"
              v-model="form.activeAccount"
              value="currentAccountBalance"
              id="currentAccountBalance"
              class="account-radio d-none"
            />
            <label for="currentAccountBalance" class="w-100">
              <CurrentAccountBalance />
            </label>
          </div>
          <div class="mt-3">
            <input
              type="radio"
              name="activeAccount"
              value="savingsAccountBalance"
              id="savingsAccountBalance"
              class="account-radio d-none"
            />
            <label for="savingsAccountBalance" class="w-100">
              <SavingsAccountBalance />
            </label>
          </div>
        </div>
        <div class="col-sm-12 col-md-8">
          <div class="px-4 tabs-navigation">
            <ul class="nav nav-pills mb-0" id="pills-tab" role="tablist">
              <li class="nav-item" role="presentation">
                <button
                  class="nav-link active"
                  id="pills-Airtime-tab"
                  data-bs-toggle="pill"
                  data-bs-target="#pills-Airtime"
                  type="button"
                  role="tab"
                >
                  Airtime
                </button>
              </li>
              <li class="nav-item" role="presentation">
                <button
                  class="nav-link"
                  id="pills-Data-tab"
                  data-bs-toggle="pill"
                  data-bs-target="#pills-Data"
                  type="button"
                  role="tab"
                >
                  Data
                </button>
              </li>
            </ul>
          </div>
          <div class="tab-content" id="pills-tabContent">
            <div
              class="tab-pane fade show active"
              id="pills-Airtime"
              role="tabpanel"
            >
              <AirtimeTab :networks="networks" :accounts="userAccounts" />
            </div>
            <div class="tab-pane fade" id="pills-Data" role="tabpanel">
              <DataTab :networks="dataBillers" :accounts="userAccounts" />
            </div>
          </div>
        </div>
      </div>
    </div>
  </div>
</template>

<script>
export default {
  layout: 'dashboard',
  components: {},
  data: () => ({
    form: {
      activeAccount: 'currentAccountBalance',
    },
    userAccounts: [],
  }),
  async asyncData({ $axios }) {
    const networks = await $axios.$get('/bill/mobile-networks')
    const dataBillers = await $axios.$get('/bill/data-plans/billers')
    const userAccounts = await $axios.$get('/user/accounts')

    // console.log(networks)
    return {
      dataBillers: dataBillers.payload.billers,
      networks: networks.payload.billers,
      userAccounts: userAccounts.payload,
    }
  },
}
</script>

<style lang="scss">
@import '~@/assets/scss/index';
@import '~@/assets/scss/variables';

.text-sm {
  font-size: 12px;
}

.dashboard-airtime-data-page {
  .choose-transfer-type-card,
  .fill-beneficiary-details {
    background: #ffffff;
    border-radius: 20px;

    input.form-control,
    .form-select,
    textarea.form-control {
      background-color: #f4f2ec;
      border-radius: 5px;
      border: none;
    }
  }
  .fill-beneficiary {
    input.form-control,
    .form-select,
    textarea.form-control {
      background-color: #f4f2ec;
      border-radius: 5px;
      border: none;
    }
  }
  .tabs-navigation {
    .nav {
      .nav-link {
        &.active,
        &:hover {
          border: none;
          border-bottom: 3px solid $primary;
          background: #ffffff;
        }
        border: none;
        outline: none;
        background: #f1ede5;
        // opacity: 0.4;
        border-radius: 20px 20px 0px 0px;
        color: black;
        font-weight: bold;
        padding: 15px 40px;
      }
    }
  }
  input.account-radio:checked + label {
    .account-card {
      // background-color: red;
      background-position: 98% 4%;
      background-image: url(~@/assets/images/tick.png);
    }
  }
}
</style>
